Redmine doesn't find plugin settings partial

2013-02-12 14:36 - Tommaso Visconti

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.2.2

Description

I'm trying to fix the redmine-gitolite plugin https://github.com/ivyl/redmine-gitolite to work with Redmine 2.2.2.stable.

I get a 404 page when trying to open the settings page. The error is:

ActionView::MissingTemplate: Missing partial gitolite_settings/redmine_gitolite_settings with {:lo

cale=>[:it, :en], :formats=>[:html], :handlers=>[:erb, :builder, :rsb]}. Searched in:

  * "/home/tommyblue/Devel/redmine/app/views" 

from /home/tommyblue/.rvm/gems/ruby-1.9.3-p374@redmine/gems/actionpack-3.2.11/lib/action_view/path

_set.rb:58:in `find'

 The init.rb file declares:

settings({

    :partial => 'gitolite_settings/redmine_gitolite_settings',

    :default => {

      'gitoliteUrl' => 'gitolite@localhost:gitolite-admin.git',

      'developerBaseUrls' => "git@example.com:%{name}.git",

      'readOnlyBaseUrls' => 'http://example.com/git/%{name}',

      'basePath' => '/home/redmine/repositories/',

    }

  })

 It seems redmine isn't looking for the partial in the plugin views folder. I tried changing the name (to eventually avoid name conflicts)

but the error remains.

I think I'm following all the instructions in the Redmine docs. Am I missing something or it's a bug?

History

#1 - 2013-02-13 12:02 - Tommaso Visconti

It seems that every plugins has problems. I also tried with a fresh redmine install.

I started a discussion in the forum: http://www.redmine.org/boards/3/topics/36262

#2 - 2013-03-06 21:42 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Cant reproduce

I'm closing this issue, as no other reports indicate that "every plugins has problems" or that the "Plugin support totally broken with new install (2.2.x

and master)", like you indicate.
